proc exportToSDK {} {
  cd C:/Users/miyo/Xilinx/microblaze_base/processing_system
  if { [ catch { xload xmp processing_system.xmp } result ] } {
    exit 10
  }
  if { [run exporttosdk] != 0 } {
    return -1
  }
  return 0
}

if { [catch {exportToSDK} result] } {
  exit -1
}

set sExportDir [ xget sdk_export_dir ]
set sExportDir [ file join "C:/Users/miyo/Xilinx/microblaze_base/processing_system" "$sExportDir" "hw" ] 
if { [ file exists C:/Users/miyo/Xilinx/microblaze_base/edkBmmFile_bd.bmm ] } {
   puts "Copying placed bmm file C:/Users/miyo/Xilinx/microblaze_base/edkBmmFile_bd.bmm to $sExportDir" 
   file copy -force "C:/Users/miyo/Xilinx/microblaze_base/edkBmmFile_bd.bmm" $sExportDir
}
if { [ file exists C:/Users/miyo/Xilinx/microblaze_base/processing_system_top.bit ] } {
   puts "Copying bit file C:/Users/miyo/Xilinx/microblaze_base/processing_system_top.bit to $sExportDir" 
   file copy -force "C:/Users/miyo/Xilinx/microblaze_base/processing_system_top.bit" $sExportDir
}
exit $result
